> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# XblProfileGetUserProfilesAsync

> XblProfileGetUserProfilesAsync

Gets one or more user profiles for a collection of specified XBOX users.

## Syntax

```cpp theme={null}
HRESULT XblProfileGetUserProfilesAsync(  
         XblContextHandle xboxLiveContext,  
         uint64_t* xboxUserIds,  
         size_t xboxUserIdsCount,  
         XAsyncBlock* async  
)  
```

### Parameters

*xboxLiveContext*   \_In\_\
Type: [XblContextHandle](https://docs.xbox.com/reference/live/xsapi-c/types_c/handles/xblcontexthandle.md)

An XBOX services context handle created with XblContextCreateHandle.

*xboxUserIds*   \_In\_\
Type: uint64\_t\*

C-style array of XBOX User IDs of the users to get profiles for.

*xboxUserIdsCount*   \_In\_\
Type: size\_t

The number of XBOX User IDs in the array.

*async*   \_In\_\
Type: XAsyncBlock\*

Caller allocated AsyncBlock.

### Return value

Type: HRESULT

HRESULT return code for this API operation.

## Remarks

To get the result, first call [XblProfileGetUserProfilesResultCount](https://docs.xbox.com/reference/live/xsapi-c/profile_c/functions/xblprofilegetuserprofilesresultcount.md) to get the count of returned profiles and then call [XblProfileGetUserProfilesResult](https://docs.xbox.com/reference/live/xsapi-c/profile_c/functions/xblprofilegetuserprofilesresult.md) inside the AsyncBlock callback or after the AsyncBlock is complete.

## REST Call

Calls V2 GET /users/batch/profile/settings

## Requirements

**Header:** profile\_c.h

**Library:** Microsoft.Xbox.Services.142.C.lib or Microsoft.Xbox.Services.143.C.lib

## See also

[profile\_c](https://docs.xbox.com/reference/live/xsapi-c/profile_c/profile_c_members.md)


## Related topics

- [profile_c (contents)](https://docs.xbox.com/reference/live/xsapi-c/profile_c/profile_c_members.md)
- [XblProfileGetUserProfilesResult](https://docs.xbox.com/reference/live/xsapi-c/profile_c/functions/xblprofilegetuserprofilesresult.md)
- [XblProfileGetUserProfilesResultCount](https://docs.xbox.com/reference/live/xsapi-c/profile_c/functions/xblprofilegetuserprofilesresultcount.md)
- [XblProfileGetUserProfileAsync](https://docs.xbox.com/reference/live/xsapi-c/profile_c/functions/xblprofilegetuserprofileasync.md)
- [XblProfileGetUserProfileResult](https://docs.xbox.com/reference/live/xsapi-c/profile_c/functions/xblprofilegetuserprofileresult.md)
